from endpoints.api.search import ConductRepositorySearch
from endpoints.api.test.shared import client_with_identity, conduct_api_call
from test.fixtures import *

def test_repository_search(client):
  with client_with_identity('devtable', client) as cl:
    params = {'query': 'simple'}
    result = conduct_api_call(cl, ConductRepositorySearch, 'GET', params, None, 200).json
    assert not result['has_additional']
    assert result['start_index'] == 0
    assert result['page'] == 1
    assert result['results'][0]['name'] == 'simple'
